Bug 95712 - [NEW PORT] editors/drjava: A lightweight IDE for writing Java programs
Summary: [NEW PORT] editors/drjava: A lightweight IDE for writing Java programs
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-04-13 22:30 UTC by Nicola Vitale
Modified: 2006-07-01 08:48 UTC (History)
0 users

See Also:


Attachments
drjava-20060127.2145.shar (2.70 KB, text/plain)
2006-04-13 22:30 UTC, Nicola Vitale
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nicola Vitale 2006-04-13 22:30:30 UTC
DrJava is a lightweight development environment for writing Java programs.
It is designed primarily for students, providing an intuitive interface
and the ability to interactively evaluate Java code. It also includes
powerful features for more advanced users. DrJava is available for free
under the DrJava Open Source License, and it is under active development
by the JavaPLT group at Rice University.

WWW:	http://www.drjava.org

Generated with FreeBSD Port Tools 0.63
Comment 1 Nicola Vitale 2006-04-28 13:03:06 UTC
New shar archive: use javawrapper

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	drjava
#	drjava/pkg-descr
#	drjava/Makefile
#	drjava/pkg-plist
#	drjava/distinfo
#	drjava/files
#	drjava/files/drjava.in
#
echo c - drjava
mkdir -p drjava > /dev/null 2>&1
echo x - drjava/pkg-descr
sed 's/^X//' >drjava/pkg-descr << 'END-of-drjava/pkg-descr'
XDrJava is a lightweight development environment for writing Java programs.
XIt is designed primarily for students, providing an intuitive interface
Xand the ability to interactively evaluate Java code. It also includes
Xpowerful features for more advanced users. DrJava is available for free
Xunder the DrJava Open Source License, and it is under active development
Xby the JavaPLT group at Rice University.
X
XWWW:	http://www.drjava.org
END-of-drjava/pkg-descr
echo x - drjava/Makefile
sed 's/^X//' >drjava/Makefile << 'END-of-drjava/Makefile'
X# New ports collection makefile for:	drjava
X# Date created:		2006-04-13
X# Whom:			Nicola Vitale	<nivit@email.it>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	drjava
XPORTVERSION=	20060127.2145
XCATEGORIES=	editors java
XMASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
XMASTER_SITE_SUBDIR=	${PORTNAME}
XDISTNAME=	${PORTNAME}-stable-${PORTVERSION:S|.|-|g}
XEXTRACT_SUFX=	.jar
XEXTRACT_ONLY=
X
XMAINTAINER=	nivit@email.it
XCOMMENT=	A lightweight IDE for writing Java programs
X
XNO_BUILD=	yes
XUSE_JAVA=	yes
XJAVA_VERSION=	1.4+
X
XSUB_FILES=	${PORTNAME}
XSUB_LIST=	DRJAVAJAR=${DRJAVAJAR}
X
XDATADIR=	${JAVASHAREDIR}/${PORTNAME}
X
XDRJAVAJAR=	${DATADIR}/${DISTFILES}
X
Xdo-install:
X	${MKDIR} ${DATADIR}
X	${INSTALL_DATA} ${DISTDIR}/${DISTFILES} ${DRJAVAJAR}
X	${INSTALL_SCRIPT} ${WRKDIR}/${PORTNAME} ${PREFIX}/bin/${PORTNAME}
X
X.include <bsd.port.mk>
END-of-drjava/Makefile
echo x - drjava/pkg-plist
sed 's/^X//' >drjava/pkg-plist << 'END-of-drjava/pkg-plist'
X@comment $FreeBSD$
Xbin/drjava
X%%JAVASHAREDIR%%/drjava/drjava-stable-20060127-2145.jar
X@dirrm %%JAVASHAREDIR%%/drjava
END-of-drjava/pkg-plist
echo x - drjava/distinfo
sed 's/^X//' >drjava/distinfo << 'END-of-drjava/distinfo'
XMD5 (drjava-stable-20060127-2145.jar) = 7ea9438f5fd05add7e0f3d83fbcb56bd
XSHA256 (drjava-stable-20060127-2145.jar) = a539c92af747ff6ef066c861de438ae168052aff8672f3ae947568109827da39
XSIZE (drjava-stable-20060127-2145.jar) = 5976918
END-of-drjava/distinfo
echo c - drjava/files
mkdir -p drjava/files > /dev/null 2>&1
echo x - drjava/files/drjava.in
sed 's/^X//' >drjava/files/drjava.in << 'END-of-drjava/files/drjava.in'
X#!/bin/sh
X# $FreeBSD$
XJAVA_VERSION="%%JAVA_VERSION%%"	\
Xexec "%%LOCALBASE%%/bin/java" -jar %%DRJAVAJAR%% "$@"
END-of-drjava/files/drjava.in
exit
Comment 2 Ion-Mihai "IOnut" Tetcu freebsd_committer 2006-07-01 08:48:49 UTC
State Changed
From-To: open->closed

New port added. Thanks!